# $Revision: 1.36 $, $Date: 2008/07/27 22:27:02 $
%include	/usr/lib/rpm/macros.perl
Summary:	BnP - implements the automatic recovery mechanism of "Build'n'Play"
Summary(pl.UTF-8):	BnP - implementacja automatycznego mechanizmu odzyskiwania dla "Build'n'Play"
Name:		perl-BnP
Version:	2.1.0
Release:	10
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/BnP/BnP-%{version}.tar.gz
# Source0-md5:	63eace514b995de9ad10f54b75eb2311
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRequires:	perl-devel >= 1:5.8.0
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Build'n'Play is a batch tool intended for system administrators who
have to install the same software packages (including, but not limited
to Perl) on various UNIX platforms over and over again (e.g. for
perio- dically upgrading existing or installing new machines).

%description -l pl.UTF-8
Moduł Perla Build'n'Play jest narzędziem dla administartorów
ułatwiającym instalację tych samych programów (włącznie z pakietami
Perla) na wielu różnych platformach uniksowych.

%prep
%setup -q -n BnP-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *txt genopt *bnp *.diff.linux misc/{mgenopt,restart,tags}
%{perl_vendorlib}/BnP.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-BnP.spec,v $
Revision 1.36  2008/07/27 22:27:02  arekm
- release 10

Revision 1.35  2007-02-13 07:16:52  glen
- tabs in preamble

Revision 1.34  2007/02/12 00:49:23  baggins
- converted to UTF-8

Revision 1.33  2004/10/24 13:48:36  paladine
- spelling fix

Revision 1.32  2004/05/07 01:25:43  ankry
- rel. 9

Revision 1.31  2004/05/06 18:09:17  ankry
- fixed perl-devel BR

Revision 1.30  2004/04/25 16:13:33  ankry
- cosmetics: unifications

Revision 1.29  2004/04/17 15:07:40  ankry
- license/summary/description fixes

Revision 1.28  2003/09/09 10:24:27  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:08:29  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:26  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:33  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:21  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 18:04:45  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:36:49  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:26:50  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/11/26 00:13:53  ankry
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

Revision 1.19  2002/05/11 14:28:05  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.18  2002/02/25 02:39:16  kloczek
- release 7.

Revision 1.17  2002/02/22 23:29:25  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/02/10 15:24:04  depesz
adapterized

Revision 1.15  2002/02/09 13:13:20  depesz
missing part of path

Revision 1.14  2002/01/18 02:14:11  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.13  2001/11/28 15:20:14  mis
- buildarch noarch; release++

Revision 1.12  2001/04/17 12:05:28  baggins
- release 5
- rebuild with perl 5.6.1

Revision 1.11  2001/04/14 18:00:04  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.10  2000/12/28 00:46:04  kloczek
- release 4:rebuild against perl 5.6 and use new rpm automation.

Revision 1.9  2000/06/09 07:54:45  kloczek
- more %%{__make} macros.

Revision 1.8  2000/06/09 07:23:27  kloczek
- added using %%{__make} macro.

Revision 1.7  2000/05/16 22:13:20  kloczek
- spec adapterized.

Revision 1.6  2000/04/01 11:15:17  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.5  2000/03/28 16:54:43  baggins
- translated kloczkish into english

Revision 1.4  1999/11/07 09:17:08  pius
- fixed required rpm-perlprov version

Revision 1.3  1999/10/27 20:45:35  pius
- added '%include /usr/lib/rpm/macros.perl'
- BuildRequires: rpm-perlprov, perl >= 5.005_03-12
- comsetics

Revision 1.2  1999/10/02 21:32:30  pius
- small changes in %doc

Revision 1.1  1999/10/01 21:51:11  pius
- initial release
